x = int(input())
val = ((1 + 8 * x) ** 0.5 - 1) / 2
line = int(val) if val == int(val) else int(val) + 1
m = int(line * (line + 1) / 2)

if(line%2):
    denum = line - m + x
    num = line + 1 - denum
else:
    denum = m - x + 1
    num = line + 1 - denum

print(f"{num}/{denum}")